Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractCreateData

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractCreateData

public class ContractCreateData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractCreateData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<EntityAttr>`
  `getContractParameters()`
  `int`
  `getContractSubMode()`
  `int`
  `getContractSuperId()`
  `List<ContractTariff>`
  `getContractTariffs()`
  `List<Integer>`
  `getCopyParameterIds()`
  `String`
  `getCustomTitle()`
  `Date`
  `getDateFrom()`
  `String`
  `getPassword()`
  `int`
  `getPatternId()`
  `String`
  `getTitle()`
  `Map<String,Object>`
  `getTitleParams()`
  `ContractCreateData`
  `setContractParameters(List<EntityAttr> contractParameters)`
  `ContractCreateData`
  `setContractSubMode(int contractSubMode)`
  `ContractCreateData`
  `setContractSuperId(int contractSuperId)`
  `ContractCreateData`
  `setContractTariffs(List<ContractTariff> contractTariffs)`
  `ContractCreateData`
  `setCopyParameterIds(List<Integer> copyParameterIds)`
  `ContractCreateData`
  `setCustomTitle(String customTitle)`
  `ContractCreateData`
  `setDateFrom(Date dateFrom)`
  `ContractCreateData`
  `setPassword(String password)`
  `ContractCreateData`
  `setPatternId(int patternId)`
  `ContractCreateData`
  `setTitle(String title)`
  `ContractCreateData`
  `setTitleParams(Map<String,Object> titleParams)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractCreateData

    public ContractCreateData()

- ## Method Details

  - ### getContractParameters

    public List<EntityAttr> getContractParameters()

  - ### getContractSubMode

    public int getContractSubMode()

  - ### getContractSuperId

    public int getContractSuperId()

  - ### getContractTariffs

    public List<ContractTariff> getContractTariffs()

  - ### getCopyParameterIds

    public List<Integer> getCopyParameterIds()

  - ### getCustomTitle

    public String getCustomTitle()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getPassword

    public String getPassword()

  - ### getPatternId

    public int getPatternId()

  - ### getTitle

    public String getTitle()

  - ### getTitleParams

    public Map<String,Object> getTitleParams()

  - ### setContractParameters

    public ContractCreateData setContractParameters(List<EntityAttr> contractParameters)

  - ### setContractSubMode

    public ContractCreateData setContractSubMode(int contractSubMode)

  - ### setContractSuperId

    public ContractCreateData setContractSuperId(int contractSuperId)

  - ### setContractTariffs

    public ContractCreateData setContractTariffs(List<ContractTariff> contractTariffs)

  - ### setCopyParameterIds

    public ContractCreateData setCopyParameterIds(List<Integer> copyParameterIds)

  - ### setCustomTitle

    public ContractCreateData setCustomTitle(String customTitle)

  - ### setDateFrom

    public ContractCreateData setDateFrom(Date dateFrom)

  - ### setPassword

    public ContractCreateData setPassword(String password)

  - ### setPatternId

    public ContractCreateData setPatternId(int patternId)

  - ### setTitle

    public ContractCreateData setTitle(String title)

  - ### setTitleParams

    public ContractCreateData setTitleParams(Map<String,Object> titleParams)